> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Strategy

> Get current state of trader’s strategy



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /stats/api/v1/strategy
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /stats/api/v1/strategy:
    get:
      tags:
        - Trade
      summary: Get Strategy
      description: Get current state of trader’s strategy
      parameters:
        - in: query
          name: trader
          schema:
            type: string
          required: true
          description: The trader address.
          example: '0xb993e587c15a9e0a0fe4f111de98fd6b5ce7067d'
        - in: query
          name: strategyId
          schema:
            type: string
          required: true
          description: The strategy ID.
          example: main
      responses:
        '200':
          description: Strategy data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StrategyAPISuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    StrategyAPISuccessResponse:
      type: object
      additionalProperties: false
      properties:
        value:
          anyOf:
            - type: object
              properties:
                trader:
                  type: string
                  description: >-
                    The trader address prefixed with the blockchain discriminant
                    of the trader who owns this strategy.
                  examples:
                    - '0x00b993e587c15a9e0a0fe4f111de98fd6b5ce7067d'
                strategyIdHash:
                  type: string
                  description: The hashed version of this strategy ID.
                  examples:
                    - '0x2576ebd1'
                strategyId:
                  type: string
                  description: An identifier for this strategy.
                  examples:
                    - main
                maxLeverage:
                  type: number
                  description: The maximum leverage this strategy is allowed to take on.
                  examples:
                    - 3
                availCollateral:
                  type: string
                  description: The amount of collateral that this strategy holds.
                  examples:
                    - '10000'
                lockedCollateral:
                  type: string
                  description: >-
                    The amount of collateral which has been initiated for
                    withdrawal.
                  examples:
                    - '1000'
                frozen:
                  type: boolean
                  description: Whether this strategy is frozen. Not currently in use.
                  examples:
                    - false
              required:
                - trader
                - strategyIdHash
                - strategyId
                - maxLeverage
                - availCollateral
                - lockedCollateral
                - frozen
              additionalProperties: false
              description: Current state of a trader's strategy.
            - type: 'null'
              description: >-
                The value will be null if there is no value for the parameters
                used.
              examples:
                - null
          description: The value of the response.
        success:
          type: boolean
          const: true
          description: Whether the request was successful
        timestamp:
          type: number
          description: The timestamp of the response
          examples:
            - 1673031089
      required:
        - success
        - timestamp
        - value
      description: Successful response for the Strategy API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````